import choco.kernel.solver.search.integer.AbstractIntVarSelector;
import choco.kernel.solver.variables.integer.IntDomainVar;

//
// A static variable ordering heuristic
// May be used to select only some of the variables,
// i.e. the "decision" variables (as in jssp)
//

public class VarOrder extends AbstractIntVarSelector {

    protected IntDomainVar[] vars;

    public VarOrder(IntDomainVar[] vars){
	this.vars = vars;
    }

    public IntDomainVar selectIntVar(){
	for (int i=0;i<vars.length;i++)
	    if (!vars[i].isInstantiated()) return (IntDomainVar)vars[i];
	return null;
    }
}
